#ifndef _KEYVAL_CMD_H
#define _KEYVAL_CMD_H

struct kvpb_block;

int kvpb_store_init(kvpb_block_t *store, void *base, int size, int flags, int mode);
int kvpb_store_list(kvpb_block_t *store, int mode);
int kvpb_get_key_dynamic(kvpb_block_t *kvpb_block, kvpb_keyid_t keyid, kvpb_size_t *psize, void **pbuf);

int kvpb_get_cmd(kvpb_block_t *store, char *line);
int kvpb_set_cmd(kvpb_block_t *store, char *line);
int kvpb_del_cmd(kvpb_block_t *store, char *line);

int kvpb_stress_test(kvpb_block_t *store, int cycles, kvpb_size_t min_size,
                     kvpb_size_t max_size, kvpb_keyid_t min_id, kvpb_keyid_t max_id);

#endif /*_KEYVAL_CMD_H*/
