#ifndef _KEYVAL_ID_H_
#define _KEYVAL_ID_H_

#include "keyvalpb.h"

#define KVPB_KEYID_ULAN_ADDR            0x10
#define KVPB_KEYID_ULAN_SN              0x11
#define KVPB_KEYID_HISC_KETTLE_TLST    (0x10|KVPB_KEYID_DUPLIC)
#define KVPB_KEYID_DINFO_NAMES          0x12
#define KVPB_KEYID_DINFO_VALUES_USER    0x13
#define KVPB_KEYID_DINFO_VALUES_SERVICE 0x14
#define KVPB_KEYID_DINFO_VALUES_CONFIG  0x15
#define KVPB_KEYID_SECURITY_PASSWORDS   0x18
#define KVPB_KEYID_SECURITY_PASSNAMES   0x19
#define KVPB_KEYID_SECURITY_PASSCAPS    0x1A
#define KVPB_KEYID_RTC_BASEEPOCH        0x1C
#define KVPB_KEYID_SERNUMBER_ID         0x1D

#define KVPB_KEYID_MEDICAMENT_IDS       0x81
#define KVPB_KEYID_DINFO_VALUES_LS_USER   0x82
#define KVPB_KEYID_DINFO_VALUES_LS_CONFIG 0x83
#define KVPB_KEYID_DINFO_VALUES_LA_USER   0x84
#define KVPB_KEYID_DINFO_VALUES_LA_CONFIG 0x85
#define KVPB_KEYID_DINFO_VALUES_PC_USER   0x86
#define KVPB_KEYID_DINFO_VALUES_PC_CONFIG 0x87


#endif /* _KEYVAL_ID_H_ */

